[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'gpm' (#rtl)

# Tgpm_roi

Record used to define regions of interest.

## Declaration

Source position: gpm.pp line 115

`type Tgpm_roi = record`
`xmin: Integer;` |  | Minimum horizontal position.
`xmax: Integer;` |  | Maximum horizontal position.
`ymin: Integer;` |  | Minimum vertical position.
`ymax: Integer;` |  | Maximum horizontal position.
`minmod: Word;` |  | Minimum modifiers required
`maxmod: Word;` |  | Maximum modifiers allowed
`eventmask: Word;` |  | Events to signal
`owned: Word;` |  | ?
`handler: TGpmHandler;` |  | Handler to call in case of event.
`clientdata: pointer;` |  | Clientdata to pass to event handler
`prev: Pgpm_roi;` |  | Previous region of interest.
`next: Pgpm_roi;` |  | Next region of interest.
`end;`